from .interfaces import FightingEntity

class Player(FightingEntity):
    maxhealth = 20
    strength = 5

    
    def move_up(self, p : Player, m : Map) :
        if p.y > 0  :
            cell = Tile(Map.tiles[p.y-1][p.x])
            if can_walk(cell) :
                p.y = p.y-1
    def move_down(self, p : Player, m : Map) :
        if p.y < Map.height  :
            cell = Tile(Map.tiles[p.y+1][p.x])
            if can_walk(cell) :
                p.y = p.y+1
    def move_left(self, p : Player, m : Map) :
        if p.x > 0  :
            cell = Tile(Map.tiles[p.y][p.x-1])
            if can_walk(cell) :
                p.x = p.x-1
    def move_right(self, p : Player, m : Map) :
        if p.x < Map.width  :
            cell = Tile(Map.tiles[p.y][p.x+1])
            if can_walk(cell) :
                p.x = p.x+1
